---
schema_version: "1"
id: fef0637acde3542a21aefe22daa3523eac5d502c856e959badfa4645bed182be
title: Price Books
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/marketplace/references/generated-api-specs/marketplace-seller-price-books.md
canonical_url: https://developer.salesforce.com/docs/commerce/marketplace/references/marketplace-seller-price-books
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3fd65ea6c3ab4949ffeecd324fd5ed9a88172a063d82d27079c77b8c05b13ed6
products:
  - Commerce Marketplace
  - Salesforce APIs
---
Price Books

# Price Books

Price Book is a way to group the seller’s prices

There are 3 types of Price Book:

*   Simple: Price Book with the default value of the SKUs. Only 1 per seller.
*   Sale: Price Book with the “promotional” value (“to” price) of the SKUs. Only 1 per seller.
*   Customer Group: Price Book active only for a specific user group. Various Price Books of this type can be set up per seller, but only 1 for each Customer Group.

It is recommended that, when configuring the seller, the marketplace should set up the Simple and Sale Price Book with the correct external ID, but this configuration can be achieved by means of API integration.

**Version:** 1.0.0

## Servers

*   `https://login.salesforce.com`
*   `http://mydomainname.my.site.com`
*   `http://{{community-url}}`
*   `http://{{base-url}}`

## Security

*   `oauth2Auth` (http)
    *   HTTP scheme: oauth2
*   `bearerAuth` (http)
    *   HTTP scheme: bearer

## Operations

### GET Query

`GET /services/data/v51.0/query`

Operation ID: `Query`. Tags: Price Book. Security: bearerAuth.

To look up information about price books, use the [Query](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/resources_query.htm) resource of the main REST API from Salesforce and set the value of the `q` parameter to an SOQL query. The following examples are included in the query parameters section of this page, with corresponding examples in the responses section:

**Example 1 of 4**: `getSimplePriceBookBySellerId`

This call allows the searching of information about the seller’s simple price book. If you do not know the external ID of the price book, this call can be used to search for that information.

**Example 2 of 4**: `getPriceBookEntryByPriceBookId`

This call allows the listing of the price of all SKUs within a specific price book using the external ID. Depending on the quantity, the results may require pagination.

**Example 3 of 4**: `getSalePriceBookBySellerId`

This call allows the searching of the seller’s sale price book information. If you do not know the external ID of the price book, this call can be used to search for that information.

**Example 4 of 4**: `getAllCustomerGroups`

For customer group price books, a connection needs to be made with a customer group. This value must be one of the values from the marketplace (if none of them apply, contact the marketplace to check whether a new one can be inserted). In order to insert this relationship, you must first request an export of the data to the marketplace or access the APU directly and save the list. If the item limit is exceeded, pagination may be necessary, in which case please refer to the following [documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

#### Parameters

*   `q` (query, string)
    
    _Example: getSimplePriceBookBySellerId_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__PriceBook__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c= '{{seller-external-id}}' AND RecordType.Name = 'Default PriceBook' LIMIT 200
    ```
    
    _Example: getPriceBookEntryByPriceBookId_
    
    ```
    SELECT Atonit_Mktplace__External_Id__c,Atonit_Mktplace__Price_Book__r.Atonit_Mktplace__External_Id__c, Atonit_Mktplace__Product_Variant__r.Atonit_Mktplace__External_Id__c,Atonit_Mktplace__Quantity__c,Atonit_Mktplace__Price__c  FROM Atonit_Mktplace__Price_Book_Entry__c WHERE Atonit_Mktplace__Price_Book__r.Atonit_Mktplace__External_Id__c= '{{seller-api-prefix}}-pricebook' LIMIT 200
    ```
    
    _Example: getSalePriceBookBySellerId_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__PriceBook__c WHERE Atonit_Mktplace__Seller__r.Atonit_Mktplace__Slug__c= '{{seller-external-id}}' AND RecordType.Name = 'Sale PriceBook' LIMIT 200
    ```
    
    _Example: getAllCustomerGroups_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__Customer_Group__c   LIMIT 200
    ```
    

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 19:03:24 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1456/101002`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example: getSimplePriceBookBySellerId_
    
    ```
    {
      "totalSize": 1,
      "done": true,
      "records": [
        {
          "Id": "a0H5Y00001JDrCiUAL",
          "Name": "PB-0004",
          "CreatedDate": "2021-03-23T16:43:00.000+0000",
          "LastModifiedDate": "2021-04-23T14:57:46.000+0000",
          "Atonit_Mktplace__Name__c": "atonit-vitta PriceBook Default",
          "Atonit_Mktplace__Seller__c": "a0T5Y00000ZE4lFUAT",
          "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook"
        }
      ]
    }
    ```
    
    _Example: getPriceBookEntryByPriceBookId_
    
    ```
    {
      "totalSize": 6,
      "done": true,
      "records": [
        {
          "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook-atonit-vitta-sku-1-1",
          "Atonit_Mktplace__Price_Book__r": {
            "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook"
          },
          "Atonit_Mktplace__Product_Variant__r": {
            "Atonit_Mktplace__External_Id__c": "atonit-vitta-sku-1"
          },
          "Atonit_Mktplace__Quantity__c": 1,
          "Atonit_Mktplace__Price__c": 45.33
        }
      ]
    }
    ```
    
    _Example: getSalePriceBookBySellerId_
    
    ```
    {
      "totalSize": 1,
      "done": true,
      "records": [
        {
          "Id": "a0H5Y00001JEngLUAT",
          "Name": "PB-0009",
          "CreatedDate": "2021-04-23T13:58:09.000+0000",
          "LastModifiedDate": "2021-04-23T14:57:25.000+0000",
          "Atonit_Mktplace__Name__c": "atonit-vitta PriceBook Sale",
          "Atonit_Mktplace__Seller__c": "a0T5Y00000ZE4lFUAT",
          "Atonit_Mktplace__Parent_Price_Book__c": "a0H5Y00001JDrCiUAL",
          "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook-sale"
        }
      ]
    }
    ```
    

### GET Get Price Book by ID

`GET /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook`

Operation ID: `Get Price Book by ID`. Tags: Price Book. Security: bearerAuth.

This call will load all the available price book information using the external ID as the key. Any type of price book can be used.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 12:13:19 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1397/101002`.
    *   `Last-Modified` (string)  
        Example: `Mon, 26 Apr 2021 12:12:25 GMT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "Id": "a0H5Y00001JDrCiUAL",
      "Name": "PB-0004",
      "CreatedDate": "2021-03-23T16:43:00.000+0000",
      "LastModifiedDate": "2021-04-26T12:12:25.000+0000",
      "Atonit_Mktplace__Active__c": true,
      "Atonit_Mktplace__Currency__c": "USD",
      "Atonit_Mktplace__Name__c": "atonit-vitta PriceBook Default",
      "Atonit_Mktplace__Seller__c": "a0T5Y00000ZE4lFUAT",
      "Atonit_Mktplace__Valid_From__c": null,
      "Atonit_Mktplace__Valid_To__c": null,
      "Atonit_Mktplace__Parent_Price_Book__c": null,
      "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook"
    }
    ```
    

### PATCH Create or Update Simple Price Book

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook`

Operation ID: `Create or Update Simple Price Book`. Tags: Price Book. Security: bearerAuth.

This call allows you both to create and update the seller’s simple price book. If a price book already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

Take care at all times not to create more than 1 simple price book for the seller, otherwise the integration will not work properly.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Name__c": "{{seller-api-prefix}} PriceBook Default",
  "RecordType": {
    "Name": "Default PriceBook"
  },
  "Atonit_Mktplace__Seller__r": {
    "Atonit_Mktplace__Slug__c": "{{seller-external-id}"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 12:12:25 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1391/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/a0H5Y00001JDrCiUAL`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0H5Y00001JDrCiUAL",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### GET Get Price Book Entry by ID

`GET /services/data/v51.0/sobjects/Atonit_Mktplace__Price_Book_Entry__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-{seller-api-prefix}-sku-1-1`

Operation ID: `Get Price Book Entry by ID`. Tags: Price Book. Security: bearerAuth.

This call will load all available price information for an SKU using the external ID as the key.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 12:26:01 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1401/101002`.
    *   `Last-Modified` (string)  
        Example: `Mon, 26 Apr 2021 12:16:19 GMT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "Id": "a0I5Y000017PI2nUAG",
      "Name": "PBE-0211",
      "CreatedDate": "2021-04-23T14:29:30.000+0000",
      "LastModifiedDate": "2021-04-26T12:16:19.000+0000",
      "Atonit_Mktplace__Price_Book__c": "a0H5Y00001JDrCiUAL",
      "Atonit_Mktplace__Price__c": 45.33,
      "Atonit_Mktplace__Product_Variant__c": "a0L5Y00000oAUQDUA4",
      "Atonit_Mktplace__Quantity__c": 1,
      "Atonit_Mktplace__External_Id__c": "atonit-vitta-pricebook-atonit-vitta-sku-1-1"
    }
    ```
    

### DELETE Remove Price Book Entry

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__Price_Book_Entry__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-{seller-api-prefix}-sku-1-1`

Operation ID: `Remove Price Book Entry`. Tags: Price Book. Security: bearerAuth.

This call allows the price of an SKU to be removed from a price book. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **204** No Content
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 13:28:18 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `Content-Security-Policy` (string)  
        Example: `upgrade-insecure-requests` .
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1442/101002`.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    

### PATCH Create or Update Price Book Entry

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Price_Book_Entry__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-{seller-api-prefix}-sku-1-1`

Operation ID: `Create or Update Price Book Entry`. Tags: Price Book. Security: bearerAuth.

This call allows you both to create and update the price of an SKU in a seller’s price book. If a price already exists with the ID provided in the URL, it will be updated, otherwise it will be created. If it is greater than 1, the quantity value will be the price when this quantity of the product is in the cart. The rule for the id is that it must be in the format `<id-price-book>-<id-sku>-<qtd>`. This call can be used for any type of price book.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Price_Book__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-pricebook"
  },
  "Atonit_Mktplace__Product_Variant__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-sku-1"
  },
  "Atonit_Mktplace__Quantity__c": 1,
  "Atonit_Mktplace__Price__c": 45.33
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 12:16:18 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1399/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Price_Book_Entry__c/a0I5Y000017PI2nUAG`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0I5Y000017PI2nUAG",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### PATCH Create or Update Sale Price Book

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-sale`

Operation ID: `Create or Update Sale Price Book`. Tags: Price Book. Security: bearerAuth.

This call allows you both to create and update the seller’s sale price book. If a price book already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

Take care at all times not to create more than 1 sale price book for the seller, otherwise the integration will not work properly.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Name__c": "{{seller-api-prefix}} PriceBook Sale",
  "RecordType": {
    "Name": "Sale PriceBook"
  },
  "Atonit_Mktplace__Seller__r": {
    "Atonit_Mktplace__Slug__c": "{{seller-external-id}"
  },
  "Atonit_Mktplace__Parent_Price_Book__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-pricebook"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 13:23:28 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1427/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/a0H5Y00001JEngLUAT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0H5Y00001JEngLUAT",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### PATCH Create or Update Customer Group Price Book

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-customergroup-1`

Operation ID: `Create or Update Customer Group Price Book`. Tags: Price Book. Security: bearerAuth.

This call allows you both to create and update a seller’s customer group price book. If a price book already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Name__c": "{{seller-api-prefix}} Clientes Platina",
  "RecordType": {
    "Name": "Customer Group PriceBook"
  },
  "Atonit_Mktplace__Seller__r": {
    "Atonit_Mktplace__Slug__c": "{{seller-external-id}}"
  },
  "Atonit_Mktplace__Parent_Price_Book__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-pricebook"
  },
  "Atonit_Mktplace__Active__c": true,
  "Atonit_Mktplace__Currency__c": "BRL",
  "Atonit_Mktplace__Valid_From__c": "2021-04-23T00:00:00.000+0000",
  "Atonit_Mktplace__Valid_To__c": "2021-06-23T00:00:00.000+0000"
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 13:35:28 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1454/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook__c/a0H5Y00001JEngcUAD`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0H5Y00001JEngcUAD",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### DELETE Remove Link from Price Book to Customer Group

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook_CustomerGroup_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-customergroup-1-clientes-platina`

Operation ID: `Remove Link from Price Book to Customer Group`. Tags: Price Book. Security: bearerAuth.

This call allows an association between a price book and customer group to be deleted. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **204** No Content
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 13:38:10 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `Content-Security-Policy` (string)  
        Example: `upgrade-insecure-requests` .
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1458/101002`.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    

### PATCH Link Price Book to Customer Group

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook_CustomerGroup_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-pricebook-customergroup-1-clientes-platina`

Operation ID: `Link Price Book to Customer Group`. Tags: Price Book. Security: bearerAuth.

This call allows a price book of the customer group type to be linked to a customer group from the marketplace. The external ID must be in the format `<id-price-book>-<id-customergroup>`.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Price_Book__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-pricebook-customergroup-1"
  },
  "Atonit_Mktplace__Customer_Group__r": {
    "Atonit_Mktplace__MArketplace_Id__c": "clientes-platina"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Mon, 26 Apr 2021 13:37:32 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1457/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__PriceBook_CustomerGroup_Association__c/a0G5Y00000e4LuxUAE`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0G5Y00000e4LuxUAE",
      "success": true,
      "errors": [],
      "created": false
    }
    ```